Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2.messaging
Class GlacierMessage

    java.lang.Object
      rice.p2p.glacier.v2.messaging.GlacierMessage

All Implemented Interfaces:
  Message, java.io.Serializable

Direct Known Subclasses:
  GlacierDataMessage, GlacierFetchMessage, GlacierNeighborRequestMessage, GlacierNeighborResponseMessage, GlacierQueryMessage, GlacierRangeForwardMessage, GlacierRangeQueryMessage, GlacierRangeResponseMessage, GlacierRefreshCompleteMessage, GlacierRefreshPatchMessage, GlacierRefreshProbeMessage, GlacierRefreshResponseMessage, GlacierResponseMessage, GlacierSyncMessage, GlacierTimeoutMessage

public abstract class GlacierMessage
extends java.lang.Object
implements Message

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary
`protected Id` | `dest` DESCRIBE THE FIELD
`protected int` | `id` DESCRIBE THE FIELD
`protected boolean` | `isResponse` DESCRIBE THE FIELD
`protected NodeHandle` | `source` DESCRIBE THE FIELD
`protected char` | `tag` DESCRIBE THE FIELD

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`protected` | `GlacierMessage(int id, NodeHandle source, Id dest, boolean isResponse, char tag)` Constructor which takes a unique integer Id

Method Summary
`Id` | `getDestination()` Method which returns this messages' destination address
`int` | `getPriority()` Method which should return the priority level of this message.
`NodeHandle` | `getSource()` Method which returns this messages' source address
`char` | `getTag()` Gets the Tag attribute of the GlacierMessage object
`int` | `getUID()` Method which returns this messages' unique id
`boolean` | `isResponse()` Gets the Response attribute of the GlacierMessage object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected int id

  DESCRIBE THE FIELD

### tag

    protected char tag

  DESCRIBE THE FIELD

### source

    protected NodeHandle source

  DESCRIBE THE FIELD

### dest

    protected Id dest

  DESCRIBE THE FIELD

### isResponse

    protected boolean isResponse

  DESCRIBE THE FIELD

Constructor Detail

### GlacierMessage

    protected GlacierMessage(int id,
                             NodeHandle source,
                             Id dest,
                             boolean isResponse,
                             char tag)

  Constructor which takes a unique integer Id

Parameters:
  `id` - The unique id
  `source` - The source address
  `dest` - The destination address
  `isResponse` - DESCRIBE THE PARAMETER
  `tag` - DESCRIBE THE PARAMETER

Method Detail

### getPriority

    public int getPriority()

  Method which should return the priority level of this message. The messages can range in priority from 0 (highest priority) to Integer.MAX_VALUE (lowest) - when sending messages across the wire, the queue is sorted by message priority. If the queue reaches its limit, the lowest priority messages are discarded. Thus, applications which are very verbose should have LOW_PRIORITY or lower, and applications which are somewhat quiet are allowed to have MEDIUM_PRIORITY or possibly even HIGH_PRIORITY.

  Specified by:
    `getPriority` in interface `Message`
  Returns:
    This message's priority

### getUID

    public int getUID()

  Method which returns this messages' unique id

  Returns:
    The id of this message

### getSource

    public NodeHandle getSource()

  Method which returns this messages' source address

  Returns:
    The source of this message

### getDestination

    public Id getDestination()

  Method which returns this messages' destination address

  Returns:
    The dest of this message

### isResponse

    public boolean isResponse()

  Gets the Response attribute of the GlacierMessage object

  Returns:
    The Response value

### getTag

    public char getTag()

  Gets the Tag attribute of the GlacierMessage object

  Returns:
    The Tag value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.